﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace m10_client
{
    public partial class frmMain : M10ClientForm
    {
         // このフォームが１つだけしか開けないようにする
        // Singleton適用
        private static frmMain _instance;

        public static frmMain Instance
        {
            get
            {
                if (_instance == null)
                    _instance = new frmMain();

                return _instance;
            }
        }

        public static void CloseInstance()
        {
            if (_instance != null)
                _instance.Close();
        }

        //設定ファイルから複数サーバのIP+ポートを読み込み
        //対応するConnectionオブジェクトを作成
        MultipleConnectionsController controller;

        private frmMain()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            controller = new MultipleConnectionsController(this);

            if (false == controller.InitFormUI())
            {
                Close();
            }
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            _instance = null;

            if( controller != null )
                controller.Dispose();
        }

        public override void SetStatusText(string msg)
        {
            toolStripStatusLabel1.Text = msg;
        }

        public override void SetResultStatusText(string msg)
        {
            toolStripStatusLabel2.Text = msg;
        }


        private void Reset_Click(object sender, EventArgs e)
        {
            controller.SendReset();
            txtData.Focus();
        }

        private void SendText_Click(object sender, EventArgs e)
        {
            controller.SendText(txtData.Text);
            txtData.Focus();
        }

    }

    
}
