﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace m10_client
{
    public partial class Form2 : M10ClientForm
    {

        // このフォームが１つだけしか開けないようにする
        // Singleton適用
        private static Form2 _instance = null;
 
        public static Form2 Instance
        {
            get
            {
                if (_instance == null)
                    _instance = new Form2();

                return _instance;
            }
        }

        public static void CloseInstance()
        {
            if (_instance != null)
            {
                _instance.Close();
            }
        }


        private Form2()
        {
            InitializeComponent();

        }

        SingleConnectionController controller;

        private void Form2_Load(object sender, EventArgs e)
        {
            //設定ファイルからサーバのIP+ポートを読み込み
            //Connectionオブジェクトを作成
            controller = new SingleConnectionController(this);

            if (false == controller.InitFormUI())
            {
                Close();
            }
        }

        public override void SetStatusText(string msg)
        {
            toolStripStatusLabel1.Text = msg;
        }

        public override void SetResultStatusText(string msg)
        {
            toolStripStatusLabel2.Text = msg;
        }


        private void Form2_FormClosing(object sender, FormClosingEventArgs e)
        {
            if( controller != null )
                controller.Dispose();

            _instance = null;
        }

        private void SendText_Click(object sender, EventArgs e)
        {
            controller.SendText(txtData.Text);
            txtData.Focus();
        }

        private void Reset_Click(object sender, EventArgs e)
        {
            controller.SendReset();
            txtData.Focus();
        }

    }
}
