﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Threading;

namespace m10_client
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            string appMutex = "RiBiG.M10_Client";
            Mutex instanceMutex = new Mutex(true, appMutex);

            if (instanceMutex.WaitOne(1, true) == false)
            {
                MessageBox.Show("既にプログラムは起動しています", "M10_Client", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            SelectForm frm;
            try
            {
                frm = new SelectForm();
            }
            catch (Exception ex)
            {
                M10ClientUtil.ShowError(ex.Message);
                return;
            }
            finally
            {
                instanceMutex.ReleaseMutex();
            }
            Application.Run(frm);
        }
    }
}
