﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Reflection;

namespace m10_client
{
    public partial class SelectForm : Form
    {
        string iniFilePath;

        public SelectForm()
        {
            InitializeComponent();

            M10.Server svr = new M10.Server(0, "", 0, "");
        }

        private void SelectForm_Load(object sender, EventArgs e)
        {

            // INIファイル名構築
            //  プログラムのパス + ".ini"
            Assembly myAssembly = Assembly.GetEntryAssembly();
            string progPath = myAssembly.Location;

            // プログラム拡張子を設定ファイル拡張子に置き換え
            iniFilePath = progPath.ToLower().Replace("exe", "ini");

        }

        private void btnOpenForm_Click(object sender, EventArgs e)
        {
            if (listForms.SelectedIndex >= 0)
            {
                frmMain.CloseInstance();
                Form2.CloseInstance();
                Form3.CloseInstance();

                Form frm=null;
                try
                {
                    switch (listForms.SelectedIndex)
                    {
                        case 0:
                            frm = Form2.Instance;
                            break;

                        case 1:
                            frm = frmMain.Instance;
                            break;

                        case 2:
                            frm = Form3.Instance;
                            break;
                    }
                }
                catch (Exception ex)
                {
                    M10ClientUtil.ShowError(ex.Message);
                    return;
                }

                try
                {
                    frm.Show();
                }
                catch( Exception ex )
                {
                    if (frm.IsDisposed == true)
                        ;
                    else
                        MessageBox.Show(ex.Message);
                }
            }
        }

        private void SelectForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            frmMain.CloseInstance();
            Form2.CloseInstance();
            Form3.CloseInstance();
        }
    }
}
