﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace m10_client
{
    public partial class Form2 : M10.M10ClientForm
    {
        // このフォームが１つだけしか開けないようにする
        // Singleton適用
        private static Form2 _instance;
 
        public static Form2 Instance
        {
            get
            {
                if (_instance == null)
                    _instance = new Form2();
                else
                    _instance.Visible = false;

                return _instance;
            }
        }

        public static void CloseInstance()
        {
            if (_instance != null)
                _instance.Close();
        }

        //設定ファイルからサーバのIP+ポートを読み込み
        //Connectionオブジェクトを作成
        SingleConnectionController controller = new SingleConnectionController();

        private Form2()
        {
            InitializeComponent();
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            controller.InitFormUI(this);
        }

        public override void SetStatusText(string msg)
        {
            toolStripStatusLabel1.Text = msg;
        }

        private void Form2_FormClosing(object sender, FormClosingEventArgs e)
        {
            _instance = null;

            controller.Close();
        }

        private void SendText_Click(object sender, EventArgs e)
        {
            controller.SendText(this, txtData.Text);
        }

        private void Reset_Click(object sender, EventArgs e)
        {
            controller.SendReset(this);
        }

    }
}
