﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace m10_SetIP
{
    public partial class SetIP : Form
    {
        int _port;
        string _IP;

        public int Port
        {
            get { return _port; }
        }

        public string IP
        {
            get { return _IP; }
        }

        public SetIP()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int result = M10.Util.ValidateIPPort(txtIP.Text, txtPort.Text);

            string errMsg = "";

            switch (result)
            {
                // IP empty
                case -1:
                    errMsg = "IPを設定してください";
                    txtIP.Focus();
                    break;

                // Invalid IP
                case -2:
                    errMsg = "IPを確認してください";
                    txtIP.Focus();
                    break;

                // Port error
                case -3:
                    errMsg = "ポート指定を確認してください";
                    txtPort.Focus();
                    break;
            }

            if (result < 0)
            {
                MessageBox.Show(errMsg, "M10Inst", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            _IP = txtIP.Text;
            _port = int.Parse(txtPort.Text);

            // 設定ファイルに書き込む
            M10.Util.WriteIPPort(_IP, _port);

            this.DialogResult = DialogResult.OK;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }
    }
}
