﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Text.RegularExpressions;

namespace m10_client_simple_wpf
{
    /// <summary>
    /// SetIP.xaml の相互作用ロジック
    /// </summary>
    public partial class SetIP : Window
    {
        int _port;
        string _IP;

        public int Port
        {
            get { return _port; }
        }

        public string IP
        {
            get { return _IP; }
        }


        public SetIP()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            int result = M10.Util.ValidateIPPort(txtIP.Text, txtPort.Text);

            string errMsg = "";

            switch (result)
            {
                // IP empty
                case -1:
                    errMsg = "IPを設定してください";
                    txtIP.Focus();
                    break;

                // Invalid IP
                case -2:
                    errMsg = "IPを確認してください";
                    txtIP.Focus();
                    break;

                // Port error
                case -3:
                    errMsg = "ポート指定を確認してください";
                    txtPort.Focus();
                    break;
            }

            if (result < 0)
            {
                MessageBox.Show(errMsg, "M10Inst", MessageBoxButton.OK, MessageBoxImage.Exclamation);
                return;
            }

            _IP = txtIP.Text;
            _port = int.Parse(txtPort.Text);

            M10.Util.WriteIPPort(_IP, _port);

            this.DialogResult = true;
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            txtIP.Focus();
        }
    }
}
