﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.Reflection;
using System.Windows.Forms;

namespace M10
{
    class IniFileSetting
    {
        string iniFilePath = "";

        public IniFileSetting()
        {
            // INIファイル名構築
            //  プログラムのパス + ".ini"
            Assembly myAssembly = Assembly.GetEntryAssembly();
            string progPath = myAssembly.Location;

            // プログラム拡張子を設定ファイル拡張子に置き換え
            iniFilePath = progPath.ToLower().Replace("exe", "ini");
        }

        public int GetPort()
        {
            return (int)IniFileHandler.GetPrivateProfileInt("Setting", "port", Servers.DefaultPort, iniFilePath);

        }

        public string GetIP()
        {
            StringBuilder sb = new StringBuilder(64);

            IniFileHandler.GetPrivateProfileString("Setting", "ip", "",
                        sb, (uint)sb.Capacity, iniFilePath);

            return sb.ToString();
        }

    }

    class IniFileHandler
    {
        [DllImport("kernel32.dll")]
        public static extern uint
          GetPrivateProfileString(string lpAppName,
          string lpKeyName, string lpDefault,
          StringBuilder lpReturnedString, uint nSize,
          string lpFileName);

        [DllImport("kernel32.dll")]
        public static extern uint
          GetPrivateProfileInt(string lpAppName,
          string lpKeyName, int nDefault, string lpFileName);

        [DllImport("kernel32.dll")]
        public static extern uint WritePrivateProfileString(
          string lpAppName,
          string lpKeyName,
          string lpString,
          string lpFileName);
    }

    class M10ClientUtil
    {
        static public void ShowError(string strErrMsg)
        {
            MessageBox.Show(strErrMsg,
                            "キー文字列送信プログラム",
                            MessageBoxButtons.OK,
                            MessageBoxIcon.Exclamation);
        }
    }

}
